#include <windows.h>
#include <stdio.h>
#include <stdlib.h>

#define VERSION "2.3.0"
#define TITLE_OK "AdvanceCD " VERSION " Hardware Detection"
#define TITLE_ERROR "AdvanceCD " VERSION " Hardware Detection Error"

#define MY_DISPLAY_DEVICE_PRIMARY_DEVICE 0x00000004

struct id {
	unsigned vendor;
	unsigned device;
	const char* s;
} ID[] = {
#define USE_FB_PATCH
#include "fbid.h"
{ 0, 0, 0 }
};

struct MY_DISPLAY_DEVICEA {
    DWORD  cb;
    CHAR   DeviceName[32];
    CHAR   DeviceString[128];
    DWORD  StateFlags;
    CHAR   DeviceID[128];
    CHAR   DeviceKey[128];
};

typedef BOOL (WINAPI *MyEnumDisplayDevicesAType)(LPCSTR lpDevice, DWORD iDevNum, struct MY_DISPLAY_DEVICEA* lpDisplayDevice, DWORD dwFlags); 

MyEnumDisplayDevicesAType MyEnumDisplayDevicesA;

int APIENTRY WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow)
{
	int i;
	struct MY_DISPLAY_DEVICEA dd;
	char s[512];
	HMODULE h;

	h = LoadLibrary("USER32.DLL");
	if (!h) {
		MessageBox(NULL, "This program runs only on Windows 32 platforms", TITLE_ERROR, MB_ICONERROR);
		exit(1);
	}

	MyEnumDisplayDevicesA = (MyEnumDisplayDevicesAType)GetProcAddress(h, "EnumDisplayDevicesA");
	if (!MyEnumDisplayDevicesA) {
		MessageBox(NULL, "This program runs only on Windows 98/Me/2000/XP platforms", TITLE_ERROR, MB_ICONERROR);
		exit(1);
	}

	memset(&dd, 0, sizeof(dd));
	dd.cb = sizeof(struct MY_DISPLAY_DEVICEA);
	i = 0;
	*s = 0;
	
	while (MyEnumDisplayDevicesA(NULL, i, &dd, 0)) {
        	if (dd.StateFlags & MY_DISPLAY_DEVICE_PRIMARY_DEVICE) {
			unsigned i;
			const char* svendor = dd.DeviceID + 8;
			const char* sdevice = dd.DeviceID + 17;
			unsigned vendor;
			unsigned device;

			dd.DeviceID[8+4] = 0;
			dd.DeviceID[17+4] = 0;

			vendor = strtol(svendor, 0, 16);
			device = strtol(sdevice, 0, 16);

			sprintf(s, "Your video board PCI ID is %s:%s\n", svendor, sdevice);
			for(i=0;ID[i].vendor;++i)
				if (ID[i].vendor == vendor && ID[i].device == device)
					break;
			if (ID[i].vendor) {
				sprintf(s + strlen(s), "\nThis video board is supported by AdvanceCD " VERSION ".\n");
			} else {
				sprintf(s + strlen(s), "\nThis video board is NOT supported by AdvanceCD " VERSION ".\n");
				sprintf(s + strlen(s), "\nPlease report your PCI ID at amadvance@users.sourceforge.net\n");
			}
			break;
		}

		++i;
	}

	FreeLibrary(h);

	if (*s == 0) {
		MessageBox(NULL, "Error detecting the video board!\n\nIt isn't possibile to check if this video board is supported or not.", TITLE_ERROR, MB_ICONERROR);
		exit(1);
	}

	MessageBox(NULL, s, TITLE_OK, MB_ICONINFORMATION);

	return 0;
}
