#!/bin/sh

if ! test -f image/boot/isolinux/linux ; then
	echo "You are in the wrong directory"
	exit 1
fi

if ! test -f image/boot/syslinux/ldlinux.bss ; then
	echo "You are in the wrong directory"
	exit 1
fi

if ! test -f image/boot/initrd.img ; then
	echo "You are in the wrong directory"
	exit 1
fi

if ! makebootfat -V > /dev/null ; then
	echo "You need first to install the makebootfat program"
	exit 1
fi

echo "Creating the USB disk, please wait..."
echo

if ! makebootfat \
	-v \
	-L AdvanceCD \
	-D \
	-Y \
	-Z \
	-o usb \
	-b image/boot/syslinux/ldlinux.bss \
	-m image/boot/syslinux/mbrfat.bin \
	-F \
	-c image/boot/syslinux/ldlinux.sys \
	-c image/boot/syslinux/syslinux.cfg \
	-c image/boot/isolinux/linux \
	-c image/boot/initrd.img \
	-x image/boot/isolinux \
	-x image/boot/syslinux \
	-x image/boot/loadlin \
	-x image/boot/initrd.img \
	image ; then
	echo
	echo "USB disk NOT created!"
	exit 1
fi

echo
echo "USB disk created!"

