Name{number}
	advancecd - AdvanceCD Arcade LiveCD

Description
	AdvanceCD is a bootable live CD, DVD and USB disk of a minimal 
	Linux distribution containing the AdvanceMAME emulator.

	You can boot it in any PC and play the contained games without 
	any installation. The default distribution contains the arcade 
	games Gridlee, Poly Play and Robby Roto and it uses only 20 
	Mbyte leaving the whole disk for your roms.

Requirements
	Please note that AdvanceCD works only with PC MultiSync monitors 
	with these clock ranges:

		+Horizontal Clock: 30 to 60 kHz
		+Vertical Clock: 55 to 110 Hz

	Ensure to use it with a PC MultiSync monitor compatible
	with these clocks. Generally all the recent monitors are ok.

	To make it working with Arcade Monitors or TVs you must
	customize it manually.

Using AdvanceCD
	Simply put the CD/DVD in the drive or connect the USB disk, and 
	reboot your PC.

	After the detection of your hardware the AdvanceMENU interface
	automatically starts.

	When the menu is started, browse the available games and start 
	them pressing ENTER.

	To shutdown select "PowerOff" in the menu, or simply power-off 
	the PC.

Game Play
	In the game play you can use the following keys:

		F1 - Show the keys used in the game.
		ESC - Exit and return at the menu.
		F3 - Reset the game.
		P - Pause.
		PAD * - Turbo mode until pressed.

	For player 1 generally the keys are:

		5 - Insert coin.
		1 - Play.
		ARROWS - Move.
		LCTRL, LSHIFT - First button.
		LALT, LWIN, \ - Second button.
		SPACE, z - Third button.
		x - Fourth button.
		c - Fifth button.
		v - Sixth button.

Adding your files
	Before creating the disk image you must copy your roms and other 
	files under the image/arcade/ directory.

	Generally you need only to add roms in the image/arcade/rom directory
	and snapshots in the image/arcade/snap directory.

	Eventually you can also add other files in the following
	directories:

	For AdvanceMAME:
		image/arcade/rom - The .zip roms.
		image/arcade/image - The .chd harddisk images.
		image/arcade/diff - The .dif harddisk differential images.
		image/arcade/sample - The .zip samples.
		image/arcade/artwork - The .zip artworks.
		image/arcade/bezel - The .zip bezels.

	For AdvanceMESS:
		image/arcade/bios - The .zip bios.
		image/arcade/software - The .zip software.

	For AdvanceMENU:
		image/arcade/snap - The .png, .mp3, .mng snaps.
		image/arcade/flyer - The .png flyers.
		image/arcade/marquee - The .png marquees.
		image/arcade/cabinet - The .png cabinets.
		image/arcade/icon - The .ico icons.
		image/arcade/music - The background .mp3 music.

	Please note that AdvanceMENU lists only games that don't
	have the MAME driver in `preliminary' state.

	If you want to improve the AdvanceMENU performance, instead of 
	putting tons of images and sounds in the directories you can 
	use only a single big .zip containing all the .png, .mp3 and 
	.mng files. To improve performance is better to store the files 
	in the zip and don't compress them.

	If you prefer, before creating the disk image, you can delete 
	the image/free directory containing the free games.

Checking your roms
	Before creating the disk is a good idea to check if AdvanceMAME can use 
	your set of roms.

	This can be done running the included `checkrom' script.

	In Linux you need to first install the AdvanceSCAN program 
	and run the script:

		:./checkrom.sh

	The AdvanceSCAN program is present in the support/advancescan-1.8.tar.gz
	package.

	In Windows you need only to run the batch file:

		:checkrom.bat

	The script will show at screen a short text report on incomplete
	rom files, and on missing roms required by other present roms.

Installing on a CD/DVD
	To make a CD/DVD you need to run the `makecd' script to
	create the CD/DVD image, and burn it with a burning program.

	In Linux you need to run the script:

		:./makecd.sh

	and in Window the script:

		:makecd.bat

	These scripts create in the current directory the file `advcd.iso'
	containing the CD/DVD ISO image.

	You can burn it with your favorite CD/DVD burning program.

Installing on an USB disk
	To install on an USB disk, you need to connect it to your PC, and
	run the `makeusb' script.

	In Linux you need to first install the `makebootfat' program and 
	run the script:

		:./makeusb.sh

	The makebootfat program is present in the support/makebootfat-1.4.tar.gz
	package.

	In Windows you need only to run the batch file:

		:makeusb.bat

	These scripts format the connected USB disk, and copy on it the
	whole image/ directory. The disk is formatted with the FAT
	filesystem.

	Please note that the content of the USB disk is completely
	deleted without asking.

Installing on a Fixed disk partition
	To install on a Fixed disk partition you need to run the
	`makepart' script from a command shell specifying as the
	only argument the partition name.

	In Linux you need to first install the `makebootfat' program and 
	run the script:

		:./makepart.sh DEVICE

	where DEVICE is generally something like /dev/hdaN, for example:

		:./makepart.sh /dev/hda8

	to install in the eighth partition of the first harddisk.

	The makebootfat program is present in the support/makebootfat-1.4.tar.gz
	package.

	In Windows you need only to run the batch file:

		:makepart.bat DEVICE

	where DEVICE is generally something like \\.\X:, for example:

		:makepart.bat \\.\D:

	to install on the partition D:.

	These scripts format the partition, and copy on it the
	whole image/ directory. The partition is formatted with the
	FAT filesystem.

	Please note that the content of the partition is completely
	deleted without asking. The program prevent you to delete
	the whole hard disk, but it's better TO BE SURE OF THAT
	YOU ARE DOING.

	Note also that the script only operates on an exiting partition.
	You must use other tools to create the partition, mark
	it as active/bootable, and eventually install a boot manager.

Customizing
	You can customize the behavior of AdvanceCD adding in the
	image/arcade/ directory the advcd.rc file containing some
	command keywords:

		ejectcd - Eject the CD before the shutdown.
		waitbeforeshutdown - Wait some time before the shutdown.
		run COMMAND ARGS... - Run the specified command instead
			of AdvanceMENU. For example to run directly
			the game "polyplay" simply put the string
			"run advmame polyplay" in the advcd.rc file.

	You can customize the behavior of the AdvanceMAME, AdvanceMESS 
	and AdvanceMENU programs adding in the image/arcade/ directory 
	the configuration files advmame.rc, advmess.rc and advmenu.rc 
	containing your custom options.

	You can customize the system behavior adding in the 
	image/arcade/ a shell script called advcd.sh. The script is 
	executed at the end of the system startup just before
	running AdvanceMENU. Instead, the script advcd0.sh is
	executed before the shutdown.

Running With An Arcade Monitor
	To use a Standard Arcade Monitor at 15 kHz, you must
	create custom configuration files advmame.rc and
	advmenu.rc in the /image/arcade directory:

	To customize AdvanceMAME you must create a file named
	advmame.rc with the following options:

	:device_video_format 15750 0.737421 0.0754717 0.0738994 0.113208 0.916168 0.011976 0.011976 0.0598802
	:device_video_pclock 12-50
	:device_video_hclock 15.75
	:device_video_vclock 60
	:display_magnify 1
	:display_adjust generate_yclock

	To customize AdvanceMENU create a file named advmenu.rc
	with the following option:

	:device_video_pclock 12-50
	:device_video_hclock 15.75
	:device_video_vclock 60
	:display_size 640
	:device_video_modeline standard_640x240 13.5821 640 704 768 864 240 243 246 262 -hsync -vsync
	:mode list
	:mode_skip full_mixed list_mixed tile_big tile_enormous tile_giant tile_icon tile_marquee

	You can force the text console to use an arcade like video
	mode using the command:

		:fbset -n arcade

	The complete list of video modes for the console is available in
	the file /etc/fb.modes.

Troubleshooting
	You can press CTRL+ALT+F2 to open a Linux console and
	access directly the system. The most common Linux
	commands are available.

  CD/DVD
	If you are using a CD/DVD-RW be warned that a lot of PCs
	don't boot from a CD/DVD-RW. Always use a not RW support
	for the final version of your CD/DVD.

	To ensure maximum compatibility you must use a high quality
	CD/DVD, burn it at low speed and finalize it.

	Some motherboards have problems booting the specific El-torito
	format used by AdvanceCD. In this case generally the boot process
	aborts with the message "BOOT FAILURE" or similar. You can
	workaround this problem booting with a floppy. Use the
	rawwritewin.exe program to write the sbm36.raw image to a just
	formatted 1.44M disk. Both these files are in the support directory.

  USB disk
	If your USB disk doesn't boot, try selecting USB-HDD, USB-FDD, 
	USB-ZIP or any other USB device in the boot menu.

	With AMI BIOS and a Via chipset, including Epia-m and Shuttle 
	mv42n you might have to enable USB Keyboard Support in your 
	BIOS.

	On some broken boards, like my Epia-M, you need to plug the 
	memory stick in without any power (remove your power plug), 
	otherwise the BIOS might not recognize the memory stick.

  Fixed disk partition
	If the partition doesn't boot, ensure to have marked it
	as `active'. Eventually try installing a boot manager.

Contents
	The disk image contains the programs:

		+advancemame-0.92.1
		+advancemess-0.92.0.0
		+advancemenu-2.4.6
		+makebootfat-1.4
		+linux-2.4.26 (with some patches)
		+alsa-1.0.8
		+busybox-1.00
		+syslinux-3.08-pre4 (with some patches)
		+FreeDOS-beta9rc5
		+loadlin-1.6c
		+glibc-2.3.3
		+zlib-1.2.2
		+isapnpmodules-0.3
		+pciutils-2.1.11 (with some patches)
		+usbutils-0.11

	The disk structure is:

		boot - Boot support.
		arcade - Arcade Roms and images.
		free - Free Arcade Roms and images.

Copyright
	This file is Copyright (C) 2003, 2004 Andrea Mazzoleni, desmatic.

